<?php do_action( 'woocommerce_before_main_content' ); ?>
<div class="woocommerce woo-shop-container bottom-offset product shop-product-<?php echo esc_attr($grid_type) ?>">
    <div class="page-content<?php echo esc_attr( $row_class ); ?>">
        <?php
        if ( $query->have_posts() ) :
            do_action( 'woocommerce_archive_description' ); ?>
            <div class="product-filter">
	            <?php do_action( 'woocommerce_before_shop_loop' ); ?>
			</div>
            <?php
            $masonry_atts = '';
            if ($use_masonry_grid) { $masonry_atts = ' data-shop-masonry="true"'; }
            ?>
            <div>
            	<ul class="woo_c-products woo-products-slider"<?php echo esc_attr($masonry_atts) ?> data-lazy-container="true">
                    <?php
                    woocommerce_product_subcategories();
                    $iteration = 0;
                    while ($query->have_posts()) : $query->the_post();
                        do_action( 'woocommerce_shop_loop' );
                        $iteration++;
                        include( plugin_dir_path( __FILE__ ) . 'product.php' );
                    endwhile; ?>
                </ul>
                <?php include( plugin_dir_path( __FILE__ ) . 'pagination.php' ); ?>
            </div>
        <?php
        else :
            wc_get_template( 'loop/no-products-found.php' );
        endif; ?>
    </div>
    <div style="clear:both"></div>
</div>
<?php do_action( 'woocommerce_after_main_content' ); ?>
